# Uses of Class
java.net.InterfaceAddress

Packages that use InterfaceAddress
Package
Description
java.net
Provides the classes for implementing networking applications.

## Uses of InterfaceAddress in java.net

Methods in java.net that return types with arguments of type InterfaceAddress
Modifier and Type
Method
Description
`List<InterfaceAddress>`
NetworkInterface.`getInterfaceAddresses()`
Get a List of all or a subset of the `InterfaceAddresses` of this network interface.